package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SecUser;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISecUserService extends IService<SecUser>
{
    public List<SecUser> listS();

    SecUser findOne(LambdaQueryWrapper<SecUser> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SecUser vo);

    Integer selectCount(Wrapper<SecUser> queryWrapper);
}
